<?php
/**
 * kickstart Theme Customizer.
 *
 * @package kickstart business
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

Kirki::add_config( 'kickstart-business', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

/*SECTIONS */
Kirki::add_panel( 'Contacts', array(
    'priority'    => 15,
    'title'       => __( 'Contact Details', 'kickstart-business' ),
    'description' => __( 'Enter Your Details here', 'kickstart-business' ),
) );
Kirki::add_panel( 'sections', array(
    'priority'    => 1,
    'title'       => __( 'Front Page Sections', 'kickstart-business' ),
    'description' => __( 'Edit Front Page sections here', 'kickstart-business' ),
) );
Kirki::add_section( 'telephone', array(
    'title'          => __( 'telephone & Email', 'kickstart-business' ),
    'description'    => __( 'Site Contact Details', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'contacts',
) );

Kirki::add_section( 'address', array(
    'title'          => __( 'Address','kickstart-business' ),
    'description'    => __( 'Site Contact Details','kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'contacts',
) );

Kirki::add_section( 'timing', array(
    'title'          => __( 'Opening Time', 'kickstart-business' ),
    'description'    => __( 'Site Contact Details', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'contacts',
) );

/* Features Sections */

Kirki::add_section( 'features_section', array(
    'title'          => __( 'Features Section', 'kickstart-business' ),
    'description'    => __( 'Add company services/features here', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'sections',
) );

/* About Sections */
Kirki::add_section( 'about_section', array(
    'title'          => __( 'About Section', 'kickstart-business' ),
    'description'    => __( 'About Us Section', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 2,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'sections',
) );

/* Blog Sections */
Kirki::add_section( 'blog_section', array(
    'title'          => __( 'Blog Section', 'kickstart-business' ),
    'description'    => __( 'Blog Section', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 7,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'sections',
) );

/* Contact Sections */
Kirki::add_section( 'contact_section', array(
    'title'          => __( 'Contact Section', 'kickstart-business' ),
    'description'    => __( 'Contact Section', 'kickstart-business' ),
    'panel'          => '', // Not typically needed.
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
    'panel' 		 => 'sections',
) );

/*Contact Details -- Tel & Email */
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'telephone',
	'label'    => __( 'telephone Number', 'kickstart-business' ),
	'section'  => 'telephone',
	'default'  => esc_attr__( '+44 020 12345', 'kickstart-business' ),
	'priority' => 1,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'email',
	'label'    => __( 'Email Address', 'kickstart-business' ),
	'section'  => 'telephone',
	'priority' => 2,
) );

/*Contact Details -- Address*/
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'address',
	'label'    => __( 'First Address', 'kickstart-business' ),
	'section'  => 'address',
	'priority' => 1,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'address2',
	'label'    => __( 'Address 2', 'kickstart-business' ),
	'section'  => 'address',
	'priority' => 2,
) );

/*Contact Details -- Timing*/
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'timing',
	'label'    => __( 'Opening/Closing Time', 'kickstart-business' ),
	'section'  => 'timing',
	'priority' => 1,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'days',
	'label'    => __( 'Opening Days', 'kickstart-business' ),
	'section'  => 'timing',
	'priority' => 2,
) );

/*Header Image*/
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'switch',
	'settings'    => 'header_toggle',
	'label'       => __( 'Toggle section on/off', 'kickstart-business' ),
	'section'     => 'header_image',
	'default'     => '2',
	'priority'    => 1,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'kickstart-business' ),
		'off' => esc_attr__( 'Disable', 'kickstart-business' ),
	),
) );
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'color',
	'settings'    => 'header_textcolor',
	'label'       => __( 'Header Text Color', 'kickstart-business' ),
	'section'     => 'header_image',
	'default'     => '#fff',
	'priority'    => 1,
	'alpha'       => true,
 	'output' => array(
        array(
            'element'  => '.header-intro h1, .header-intro span, .header-intro a.bord',
            'property' => 'color',
        ),
        array(
            'element'  => '.header-intro a.bord',
            'property' => 'border-color',
        )),
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-heading',
	'label'    => __( 'Header Image Title', 'kickstart-business' ),
	'section'  => 'header_image',
	'default'  => esc_attr__( 'Enter A Title Here', 'kickstart-business' ),
	'priority' => 1,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-text',
	'label'    => __( 'Header Image text', 'kickstart-business' ),
	'section'  => 'header_image',
	'default'  => esc_attr__( 'Enter A description of your website here, or perhaps a service', 'kickstart-business' ),
	'priority' => 1,
) );


/*Header Image button 1*/
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-btn-1',
	'label'    => __( 'Button 1 link', 'kickstart-business' ),
	'section'  => 'header_image',
	'priority' => 2,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-btn-1-text',
	'label'    => __( 'Button 1 text', 'kickstart-business' ),
	'section'  => 'header_image',
	'default'  => esc_attr__( 'Button Label', 'kickstart-business' ),
	'priority' => 1,
) );
/*Header Image button 2*/
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-btn-2',
	'label'    => __( 'Button 2 link', 'kickstart-business' ),
	'section'  => 'header_image',
	'priority' => 4,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'header-btn-2-text',
	'label'    => __( 'Button 2 text', 'kickstart-business' ),
	'section'  => 'header_image',
	'default'  => esc_attr__( 'Button Label', 'kickstart-business' ),
	'priority' => 3,
) );

//COMPANY FEATURES

Kirki::add_field( 'kickstart-business', array(
	'type'        => 'switch',
	'settings'    => 'features_switch',
	'label'       => __( 'Toggle this section ON/OFF', 'kickstart-business' ),
	'section'     => 'features_Section',
	'default'     => '0',
	'priority'    => 1,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'kickstart-business' ),
		'off' => esc_attr__( 'Disable', 'kickstart-business' ),
	),
) );
//features Heading
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'features_heading',
	'label'    => __( 'featured Heading', 'kickstart-business' ),
	'section'  => 'features_Section',
	'default'  => esc_attr__( 'Section Title', 'kickstart-business' ),
	'priority' => 1,
) );
//features subheading
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'features_subheading',
	'label'    => __( 'Sub Heading', 'kickstart-business' ),
	'section'  => 'features_Section',
	'default'  => esc_attr__( 'Enter a subheading here to describe this section', 'kickstart-business' ),
	'priority' => 2,
) );

//first page
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'dropdown-pages',
	'settings'    => 'features_one',
	'label'       => __( 'First Section Item', 'kickstart-business' ),
	'section'     => 'features_section',
	'default'     => 42,
	'priority'    => 10,
) );

//second features page
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'dropdown-pages',
	'settings'    => 'features_two',
	'label'       => __( 'Second Section Item', 'kickstart-business' ),
	'section'     => 'features_section',
	'default'     => 42,
	'priority'    => 10,
) );

//Third Features page
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'dropdown-pages',
	'settings'    => 'features_three',
	'label'       => __( 'Third Section Item', 'kickstart-business' ),
	'section'     => 'features_section',
	'default'     => 42,
	'priority'    => 10,
) );

//About Us
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'switch',
	'settings'    => 'about_switch',
	'label'       => __( 'Toggle this section ON/OFF', 'kickstart-business' ),
	'section'     => 'about_Section',
	'default'     => '0',
	'priority'    => 1,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'kickstart-business' ),
		'off' => esc_attr__( 'Disable', 'kickstart-business' ),
	),
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'about_heading',
	'label'    => __( 'Heading', 'kickstart-business' ),
	'section'  => 'about_Section',
	'default'  => esc_attr__( 'Setion Title', 'kickstart-business' ),
	'priority' => 1,
) );
//features subheading
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'about_subheading',
	'label'    => __( 'Sub Heading', 'kickstart-business' ),
	'section'  => 'about_Section',
	'default'  => esc_attr__( 'Enter a subheading here to describe this section', 'kickstart-business' ),
	'priority' => 2,
) );

Kirki::add_field( 'kickstart-business', array(
	'type'        => 'dropdown-pages',
	'settings'    => 'about_us',
	'label'       => __( 'About Us', 'kickstart-business' ),
	'section'     => 'about_section',
	'default'     => 42,
	'priority'    => 10,
) );

//Contact Section

Kirki::add_field( 'kickstart-business', array(
	'type'        => 'switch',
	'settings'    => 'contact_switch',
	'label'       => __( 'Toggle this section ON/OFF', 'kickstart-business' ),
	'section'     => 'contact_Section',
	'default'     => '0',
	'priority'    => 1,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'kickstart-business' ),
		'off' => esc_attr__( 'Disable', 'kickstart-business' ),
	),
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'contact_title',
	'label'    => __( 'Contatc Heading', 'kickstart-business' ),
	'section'  => 'contact_Section',
	'default'  => esc_attr__( 'Section Title', 'kickstart-business' ),
	'priority' => 1,
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'textarea',
	'settings' => 'contact_content',
	'label'    => __( 'Contact Content', 'kickstart-business' ),
	'section'  => 'contact_Section',
	'priority' => 2,
) );

Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'contact_form_id',
	'label'    => __( 'Contatc Form 7 ID', 'kickstart-business' ),
	'section'  => 'contact_Section',
	'priority' => 1,
) );
//Blog Section
Kirki::add_field( 'kickstart-business', array(
	'type'        => 'switch',
	'settings'    => 'blog_switch',
	'label'       => __( 'Toggle this section ON/OFF', 'kickstart-business' ),
	'section'     => 'blog_Section',
	'default'     => '0',
	'priority'    => 1,
	'choices'     => array(
		'on'  => esc_attr__( 'Enable', 'kickstart-business' ),
		'off' => esc_attr__( 'Disable', 'kickstart-business' ),
	),
) );
Kirki::add_field( 'kickstart-business', array(
	'type'     => 'text',
	'settings' => 'blog_heading',
	'label'    => __( 'Heading', 'kickstart-business' ),
	'section'  => 'blog_Section',
	'default'  => esc_attr__( 'Section Title', 'kickstart-business' ),
	'priority' => 1,
) );



/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function kickstart_business_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';


	// View PRO Version
	$wp_customize->add_section( 'kickstart_business_style_view_pro', array(
		'title'       => '' . esc_html__( 'Go PRO Today', 'kickstart-business' ),
		'priority'    => 2,
		'description' => sprintf(
			__( '<div class="upsell-container">
					<h2>Go PRO Today!</h2>
					<p>Take your business site to the next level:</p>
					<ul class="upsell-features">
                            <li>
                            	<h4>Full screen slider</h4>
                            	<div class="description">Edge to edge home page slider for better presentation of your most important data</div>
                            </li>

                            <li>
                            	<h4>Projects & Teams</h4>
                            	<div class="description">Have your companies projects and team members right on the homepage</div>
                            </li>
                            
                            <li>
                            	<h4>Get More Control</h4>
                            	<div class="description">Toggle home page sections on/off, more control over color & fonts</div>
                            </li>

                            <li>
                            	<h4>One On One Email Support</h4>
                            	<div class="description">Get one on one email support from our experienced support stuff, we can also help you modify the theme to your liking</div>
                            </li>
                            
                    </ul> %s </div>', 'kickstart-business' ),
			sprintf( '<a href="%1$s" target="_blank" class="button button-primary">%2$s</a>', esc_url( kickstart_business_get_pro_link() ), esc_html__( 'View kickstart-business PRO', 'kickstart-business' ) )
		),
	) );

	$wp_customize->add_setting( 'kickstart_business_pro_desc', array(
		'default'           => '',
		'sanitize_callback' => 'kickstart_business_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'kickstart_business_pro_desc', array(
		'section' => 'kickstart_business_style_view_pro',
		'type'    => 'hidden',
	) );
}
add_action( 'customize_register', 'kickstart_business_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function kickstart_business_customize_preview_js() {
	wp_enqueue_script( 'kickstart_business_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'kickstart_business_customize_preview_js' );

/**
 * Admin CSS
 */
function kickstart_business_customizer_assets() {
	wp_enqueue_style( 'kickstart_business_customizer_style', get_template_directory_uri() . '/css/admin.css', null, '1.0.1', false );
}
add_action( 'customize_controls_enqueue_scripts', 'kickstart_business_customizer_assets' );
/**
 * Generate a link to the Noah Lite info page.
 */
function kickstart_business_get_pro_link() {
	return 'http://themespla.net/downloads/kickstart-business/?utm_source=kickstart-business-wporgts&utm_medium=customizer&utm_campaign=kickstart-business#go-pro';
}
